package _04_if_else_if_else操作;

import java.util.Scanner;

public class Test1 {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.println("商品价格");
        double productPrice = scanner.nextDouble();
        System.out.println("是否在活动期间(0=不在,1=表示在)");
        int isActive = scanner.nextInt();
        System.out.println("会员登记(1=普通，2=银卡，3=金卡，4=钻石)");
        int memberLevel = scanner.nextInt();
        // 判断金额是否大于1000
        boolean flag = productPrice >= 1000 ? true : false;
        // 1 判断是否在活动中 判断值是否等于1
        if(isActive == 1){
            // 商品价格打9折
            productPrice *= 0.9;
            // 判断他会员等级
            if(memberLevel == 2){
                // 银卡: 打95折
                productPrice *= 0.95;
            }else if(memberLevel == 3){
                // 金卡: 打85折
                productPrice *= 0.85;
            }else if(memberLevel == 4){
                // 钻石 打75
                productPrice *= 0.75;
            }
            // 判断大于1000
            if(flag){
                // 如果金额大于1000 元 减少100元
                productPrice -= 100;
            }
        }else{
            // 不在活动期间
            // 判断他会员等级
            if(memberLevel == 2){
                // 银卡: 打95折
                productPrice *= 0.95;
            }else if(memberLevel == 3){
                // 金卡: 打85折
                productPrice *= 0.85;
            }else if(memberLevel == 4){
                // 钻石 打75
                productPrice *= 0.75;
            }
            // 判断大于1000
            if(flag){
                // 如果金额大于1000 元 减少100元
                productPrice -= 100;
            }
        }
        System.out.println(productPrice);

    }
}
